Skip to main content

suix_queryTransactionBlocks

POST

Return list of transactions for a specified query criteria.
param[0]
queryobjectrequired
The transaction query criteria.
filteroneOf
If None, no filter will be appliedCURRENTLY NOT SUPPORTED. Query by checkpoint.
Checkpointstringrequired
optionsobject
config which fields to include in the response, by default only digest is included
showBalanceChangesboolean
Whether to show balance_changes. Default to be False
showEffectsboolean
Whether to show transaction effects. Default to be False
showEventsboolean
Whether to show transaction events. Default to be False
showInputboolean
Whether to show transaction input data. Default to be False
showObjectChangesboolean
Whether to show object_changes. Default to be False
showRawEffectsboolean
Whether to show raw transaction effects. Default to be False
showRawInputboolean
Whether to show bcs-encoded transaction input data
param[1]
cursorstringrequired
An optional paging cursor. If provided, the query will start from the next item after the specified cursor. Default to start from the first item if not specified.
param[2]
limitintegerrequired
Maximum item returned per page, default to QUERY_MAX_RESULT_LIMIT if not specified.
param[3]
descendingOrderbooleanrequired
Query result ordering, default to false (ascending order), oldest record first.
Responses
jsonrpcstring
idinteger
next_cursor points to the last item in the page; Reading with next_cursor will start from the next item after next_cursor if next_cursor is Some, otherwise it will start from the first item.
balanceChangesarraynull
checkpointstring
The checkpoint number when this transaction was included and hence finalized. This is only returned in the read api, not in the transaction execution api.
confirmedLocalExecutionbooleannull
digestobjectrequired
effectsoneOf
The response from processing a transaction or a certified transaction
The abort error populated if the transaction failed with an abort code.
error_codeintegernull
functionstringnull
lineintegernull
module_idstringnull
ObjectRef and owner of new objects created.
owneroneOfrequired
Object is exclusively owned by a single address, and is mutable.
AddressOwnerobjectrequired
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
Object Refs of objects now deleted (the old refs).
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
dependenciesarray
The set of transaction digests this transaction depends on.
eventsDigestobject
executedEpochobjectrequired
owneroneOfrequired
Object is exclusively owned by a single address, and is mutable.
AddressOwnerobjectrequired
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
Summary of the charges in a transaction. Storage is charged independently of computation. There are 3 parts to the storage charges:storage_cost: it is the charge of storage at the time the transaction is executed. The cost of storage is the number of bytes of the objects being mutated multiplied by a variable storage cost per bytestorage_rebate: this is the amount a user gets back when manipulating an object. The storage_rebate is the storage_cost for an object minus fees.non_refundable_storage_fee: not all the value of the object storage cost is given back to user and there is a small fraction that is kept by the system. This value tracks that charge.When looking at a gas cost summary the amount charged to the user is computation_cost + storage_cost - storage_rebate and that is the amount that is deducted from the gas coins. non_refundable_storage_fee is collected from the objects being mutated/deleted and it is tracked by the system in storage funds.Objects deleted, including the older versions of objects mutated, have the storage field on the objects added up to a pool of "potential rebate". This rebate then is reduced by the "nonrefundable rate" such that: potential_rebate(storage cost of deleted/mutated objects) = storage_rebate + non_refundable_storage_fee
computationCostobjectrequired
nonRefundableStorageFeeobjectrequired
storageCostobjectrequired
storageRebateobjectrequired
messageVersionstringrequired
The version that every modified (mutated or deleted) object had before it was modified by this transaction.
objectIdobjectrequired
sequenceNumberintegerrequired
ObjectRef and owner of mutated objects, including gas object.
owneroneOfrequired
Object is exclusively owned by a single address, and is mutable.
AddressOwnerobjectrequired
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
The object references of the shared objects used in this transaction. Empty if no shared objects were used.
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
statusobjectrequired
transactionDigestobjectrequired
ObjectRef and owner of objects that are unwrapped in this transaction. Unwrapped objects are objects that were wrapped into other objects in the past, and just got extracted out.
owneroneOfrequired
Object is exclusively owned by a single address, and is mutable.
AddressOwnerobjectrequired
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
Object refs of objects previously wrapped in other objects but now deleted.
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
Object refs of objects now wrapped in other objects.
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
errorsarray
eventsarraynull
objectChangesarraynull
rawEffectsarray
rawTransactionobject
timestampMsstring
Transaction input data
dataoneOfrequired
budgetstringrequired
ownerobjectrequired
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
pricestringrequired
messageVersionstringrequired
senderobjectrequired
transactiononeOfrequired
A system transaction that will update epoch information on-chain.
computation_chargestringrequired
epochstringrequired
epoch_start_timestamp_msstringrequired
kindstringrequired
storage_chargestringrequired
storage_rebatestringrequired
txSignaturesarrayrequired
hasNextPagebooleanrequired
nextCursorobject
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "suix_queryTransactionBlocks",
"params": [
{
"filter": {
"InputObject": "0x93633829fcba6d6e0ccb13d3dbfe7614b81ea76b255e5d435032cd8595f37eb8"
}
},
"HxidAfFfyr4kXSiWeVq1J6Tk526YUVDoSUY5PSnS4tEJ",
100,
false
]
}'